# -*- encoding: utf-8 -*-
# stub: extracter 1.3.6 ruby lib

Gem::Specification.new do |s|
  s.name = "extracter".freeze
  s.version = "1.3.6".freeze

  s.required_rubygems_version = Gem::Requirement.new(">= 3.5.3".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Robert A. Heiler".freeze]
  s.date = "2024-03-26"
  s.description = "\nThis fairly small gem can be used to extract different\narchive formats, such as .tar.bz2, .tar.gz, .tbz,\n.zip, .gem, .lzma and various more.\n\nAudio can be extracted as well, via ffmpeg, if the gem called\nmultimedia_paradise is installed.\n\nThis project, however had, depends on external tools,\nsuch as tar (on Linux) or 7z / 7zip (on Windows), so\nthese have to be installed first.\n\nFor more information about this project have a look\nat the homepage, at\nhttps://rubygems.org/gems/extracter.\n\n".freeze
  s.email = "shevy@inbox.lt".freeze
  s.homepage = "https://rubygems.org/gems/extracter".freeze
  s.licenses = ["MIT".freeze]
  s.post_install_message = "\n  class Extracter can be used to extract archives, such as .tar.gz or\n  .zip.\n\n  If you need some help, you can invoke bin/extract via:\n\n      extract --help\n\n  In general, the syntax for extract is kept simple. Just pass in the\n  archive that has to be extracted as the first argument to \n  extract ( bin/extract) , and class Extracter will try to extract\n  it, if it is a registered archive format.\n\n  In ruby code, you may be able to use class Extracter in this manner:\n\n      require 'extracter'\n      Extracter[file_path_here]\n\n  or\n\n      require 'extracter'\n      Extracter.new(file_path_here)\n\n  Specific example:\n\n      require 'extracter'\n      Extracter.new('htop-2.2.0.tar.xz')\n\n  See the --help option.\n\n".freeze
  s.required_ruby_version = Gem::Requirement.new(">= 3.2.2".freeze)
  s.rubygems_version = "3.5.3".freeze
  s.summary = "This fairly small gem can be used to extract different archive formats, such as .tar.bz2, .tar.gz, .tbz, .zip, .gem, .lzma and various more.  Audio can be extracted as well, via ffmpeg, if the gem called multimedia_paradise is installed.  This project, however had, depends on external tools, such as tar (on Linux) or 7z / 7zip (on Windows), so these have to be installed first.  For more information about this project have a look at the homepage, at https://rubygems.org/gems/extracter.".freeze

  s.installed_by_version = "3.5.3".freeze if s.respond_to? :installed_by_version

  s.specification_version = 4

  s.add_runtime_dependency(%q<opn>.freeze, [">= 0".freeze])
end
